{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}

<div class="container">
<div class="login-form">
<div class="main-div">
    <div class="panel">
   <h2> Login</h2>
   <p>Please enter your username and password</p>
   </div>
  <form id="Login" method="post">

  {% if error %}
                <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
            {% endif %}

            <div class="form-group">
            <input type="text" value="{{ last_username }}" name="username" id="inputUsername" class="form-control" autocomplete="username" required autofocus placeholder="username">
            </div>
            <div class="form-group">
            <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required placeholder="password">
            </div>
            <input type="hidden" name="_csrf_token"value="{{ csrf_token('authenticate') }}" >

            {#
                Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
                See https://symfony.com/doc/current/security/remember_me.html

                <div class="checkbox mb-3">
                    <label>
                        <input type="checkbox" name="_remember_me"> Remember me
                    </label>
                </div>
            #}

             <div class="forgot">
               <a href="reset.html">Forgot password?</a>
            </div>

            <button type="submit" class="btn btn-primary">Login</button>

    </form>
    </div>
<p class="botto-text"> Designed by Rihab Omrani</p>
</div></div></div>

{% endblock %}